package com.facebook;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

class FacebookRequestError$1 implements Creator<FacebookRequestError> {
    FacebookRequestError$1() {
    }

    public final FacebookRequestError createFromParcel(Parcel parcel) {
        AppMethodBeat.i(71582);
        FacebookRequestError facebookRequestError = new FacebookRequestError(parcel, null);
        AppMethodBeat.o(71582);
        return facebookRequestError;
    }

    public final FacebookRequestError[] newArray(int i) {
        return new FacebookRequestError[i];
    }
}
